PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel Struct Reference

`#include <solvers/optical/modal/meshadapter.hpp>`

Inheritance diagram for plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel:
[legend]
Collaboration diagram for plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel:
[legend]

## Public Member Functions
| RectangularLevel (shared_ptr< const RectangularMesh< dim > > src, size_t vert)
| Create mesh adapter.
size_t | index (size_t i) const override
| Unscramble indices.
double | vpos () const override
| Get level vertical position.
std::size_t | size () const override
| Get mesh size.
shared_ptr< const plask::Mesh > | mesh () const override
| Get the mesh for this level.
std::size_t | size () const
| Get mesh size.
size_t | index (size_t i) const
| Unscramble indices.
double | vpos () const
| Get level vertical position.
std::size_t | size () const
| Get mesh size.
size_t | index (size_t i) const
| Unscramble indices.
double | vpos () const
| Get level vertical position.

## Protected Attributes
shared_ptr< const RectangularMesh< dim > > | src
| Original mesh.
size_t | vert
| Interesting level.

## Friends
struct | LevelsAdapterRectangular< dim >::Mesh

## Detailed Description

template<int dim>
struct plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel

Definition at line 133 of file meshadapter.hpp.

## Constructor & Destructor Documentation

## ◆ RectangularLevel()

template<int dim>

plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::RectangularLevel | ( | shared_ptr< const RectangularMesh< dim > > | src,
|  | size_t | vert
| ) |  |
| inline

Create mesh adapter.

Definition at line 140 of file meshadapter.hpp.

## Member Function Documentation

## ◆ index() [1/3]

size_t plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 2 >::index | ( | size_t | i | ) | const
| virtual

Unscramble indices.

Parameters

  i | index in the adapter

Returns
  index in the original mesh

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 47 of file meshadapter.cpp.

## ◆ index() [2/3]

size_t plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 3 >::index | ( | size_t | i | ) | const
| virtual

Unscramble indices.

Parameters

  i | index in the adapter

Returns
  index in the original mesh

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 67 of file meshadapter.cpp.

## ◆ index() [3/3]

template<int dim>

size_t plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::index | ( | size_t | i | ) | const
| override virtual

Unscramble indices.

Parameters

  i | index in the adapter

Returns
  index in the original mesh

Implements plask::optical::modal::LevelsAdapter::Level.

## ◆ mesh()

template<int dim>

shared_ptr< const plask::Mesh > plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::mesh | ( |  | ) | const
| inline override virtual

Get the mesh for this level.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 145 of file meshadapter.hpp.

## ◆ size() [1/3]

std::size_t plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 2 >::size | ( |  | ) | const
| virtual

Get mesh size.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 35 of file meshadapter.cpp.

## ◆ size() [2/3]

std::size_t plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 3 >::size | ( |  | ) | const
| virtual

Get mesh size.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 55 of file meshadapter.cpp.

## ◆ size() [3/3]

template<int dim>

std::size_t plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::size | ( |  | ) | const
| override virtual

Get mesh size.

Implements plask::optical::modal::LevelsAdapter::Level.

## ◆ vpos() [1/3]

double plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 2 >::vpos | ( |  | ) | const
| virtual

Get level vertical position.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 51 of file meshadapter.cpp.

## ◆ vpos() [2/3]

double plask::optical::modal::LevelsAdapterRectangular::RectangularLevel< 3 >::vpos | ( |  | ) | const
| virtual

Get level vertical position.

Implements plask::optical::modal::LevelsAdapter::Level.

Definition at line 71 of file meshadapter.cpp.

## ◆ vpos() [3/3]

template<int dim>

double plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::vpos | ( |  | ) | const
| override virtual

Get level vertical position.

Implements plask::optical::modal::LevelsAdapter::Level.

## Friends And Related Symbol Documentation

## ◆ LevelsAdapterRectangular< dim >::Mesh

template<int dim>

friend struct LevelsAdapterRectangular< dim >::Mesh
| friend

Definition at line 137 of file meshadapter.hpp.

## Member Data Documentation

## ◆ src

template<int dim>

shared_ptr<const RectangularMesh<dim> > plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::src
| protected

Original mesh.

Definition at line 135 of file meshadapter.hpp.

## ◆ vert

template<int dim>

size_t plask::optical::modal::LevelsAdapterRectangular< dim >::RectangularLevel::vert
| protected

Interesting level.

Definition at line 136 of file meshadapter.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/meshadapter.hpp